%define base_name	kstyle
%define theme_name	shinekeramik
%define name		%{base_name}-%{theme_name}
%define version		0.1
%define rel	1
%define release	%mkrel 1

%define summary		widget style based on keramik.

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://www.kde-look.org/content/show.php?content=28103
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		png-devel , jpeg-devel
BuildRequires:		qt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
Shinekeramik is a widget style based on keramik.
Hope you enjoy it. :)

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{theme_name}-%{version}

%build
./configure 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/kde3/kstyle_%{theme_name}_config.la
%{_libdir}/kde3/kstyle_%{theme_name}_config.so
%{_libdir}/kde3/plugins/styles/%{theme_name}.la
%{_libdir}/kde3/plugins/styles/%{theme_name}.so

%{_datadir}/apps/kstyle/themes/%{theme_name}.themerc
%{_datadir}/apps/kdisplay/color-schemes/%{theme_name}-1.kcsrc
%{_datadir}/apps/kdisplay/color-schemes/%{theme_name}-2.kcsrc

%changelog
* Thu Aug 25 2005 Benjamin Lisci <rpm@mandrivauser.de> 0.1-1mud
-Initial release